Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: plutonLinux mac windows...
#1
Je colle une réflexion postée sur le Framateam:

"La version pour windows  est maintenant disponible bien avant les versions linux...
Il y a un temps c'était le contraire.
Aujourd'hui, à Noël le cadeau darktable c'est pour les utilisateurs windows et mac,
les utilisateurs linux (en particulier à base debian) rongent leur frein et sont frustrés !
LoL !
Est ce politique de favoriser les plateformes sur lesquelles tourne lightroom ?
On le penserait à moins
mdr !"
Répondre
#2
C'est un peu plus compliqué qu'une simple politique de viser les plateformes où tournent LR. Tu sembles oublié que tous ceux qui font se formidable logiciel sont bénévoles (développeurs et aussi paquageurs) et dépend de leur disponibilité.
Déjà tu as 2 sortes de distributions Linux : celles qui demandent des paquets du type .deb et .rpm et celles comme Arch et dérivé qui peut les paquets .rpm mais peut aussi construire un dartkable à partir des sources. Les paquets ne concernent pas seulement les sources de darktable mais aussi les librairies annexes.
Le paquageur historique pour les paquets .deb est Pascal de Bruijn est il est actuellement peu disponible. Un autre paquageur en propose un : http://ubuntuhandbook.org/index.php/2019...SsdMWsDx8k
mais c'est la première fois qu'il propose un paquet darktable .deb. Il semble qu'il y a quelques utilisateurs qui l'ont installé mais un d'eux a perdu la gestion de son APN et objectifs dans LensFun. Il y a aussi des risques d'incompatibilités entre les différentes provenances des paquets et il faut bien vérifier que l'on a bien désinstallé le paquet précédent.
Andréas Schneider maintient les paquets pour différentes distributions sur OpenSuse SoftWare : https://build.opensuse.org/request/show/759705
sur cette source : https://software.opensuse.org/package/darktable il y a des paquets construits à partir des sources master donc en 3.1.X
Même remarque pour l'installation de paquets venant de sources différentes.
darktable est toujours écrit en C sous Linux même pour IOS qui utilise un système d'exploitation dérivé Unix donc est aussi dérivé Linux. Pour Windows, il est aussi construit à partir des sources communes en C en prenant en compte ces spécifiques d'où l'impossibilité d'avoir l'impression : pour l'instant aucune librairie Windows accepte les commandes générées pour l'impression.
Répondre
#3
Je ne veux pas créer de polémique ni de débat, mais:
lors de l'annonce à Noël, les paquets pour mac et windows étaient déjà prêts.
Je comprends que Pascal de Bruijn soit seul et peu disponible et je comprends aussi
que nous devons nous débrouiller seuls mais...
Disons qu'au moment de l'annonce de la sortie de la version 3.0 il aurait été
judicieux de préciser "sauf pour les utilisateurs de linux" (qui ne compilent pas).

J'ai vu le paquet du ubuntuandbook et tous les avis forçant la méfiance quant à ce ppa...

Je reste sur ma faim:
on est mis sur la touche parce qu' on utilise linux.
(c'est une plaisanterie)
Répondre
#4
Il n'y a pas de polémique ni de débat amis un état de fait et toutes les bonnes volontés seront certainement les bienvenues comme l'a dit @nilvus sur FramaTeam.

J'ai vu que tu utilises la version 3.0 sous Arch et j'utilise la version 3.0.x que j'ai compilé mais je suis bien incapable d'en faire un paquet.
Répondre
#5
j'ai ça:


[Image: Screenshot-20191229-095104.png]


[Image: Screenshot-20191229-095411.png]
Répondre
#6
(29-12-19, 08:58)pluton a écrit : Je ne veux pas créer de polémique ni de débat, mais:
lors de l'annonce à Noël, les paquets pour mac et windows étaient déjà prêts.
Je comprends que Pascal de Bruijn soit seul et peu disponible et je comprends aussi
que nous devons nous débrouiller seuls mais...
Disons qu'au moment de l'annonce de la sortie de la version 3.0 il aurait été
judicieux de préciser "sauf pour les utilisateurs de linux" (qui ne compilent pas).

J'ai vu le paquet du ubuntuandbook et tous les avis forçant la méfiance quant à ce ppa...

Je reste sur ma faim:
on est mis sur la touche parce qu' on utilise linux.
(c'est une plaisanterie)

Une plaisanterie ? Tu ne veux créer ni polémique ni débat ? Là, franchement j'ai dû mal à le voir comme ça quand tu insiste et sur Framateam et ici. Juste un RAPPEL : darktable est un projet FAIT PAR DES BENEVOLES. Si un paquet est disponible avant un autre, c'est SIMPLEMENT parce que le mainteneur du paquet a eu du temps libre pour le faire AVANT celui des autres paquets.

Et j'ajouterais une chose : Mac et Windows ont le défaut d'être moins personnalisable et varié que Linux, mais ça leur crée aussi la qualité qu'un seul paquet suffit. Pour Linux, il y a à peu près autant de paquets que de distributions, donc plus de boulot.

Bref, il n'y a en effet ni polémique ni débat à avoir : les paquets, quelque soit l'OS ou la distribution sont disponibles QUAND le mainteneur concerné l'est (disponible) pour le faire. Rien d'autre. L'année prochaine, peut-être que l'un des mainteneurs Windows ou Mac ne le sera pas dispo, et que ça changera...

Si tu les veux plus vite, n'hésite pas à nous trouver des personnes bénévoles, capables et prêtes à le faire. Je pense que tous les développeurs seraient ravis que les paquets Linux soient dispos plus tôt.

J'anticipe les réactions à mon post : oui là ça m'a énervé !

Et en plus tu as la 3.0 maintenant (vu tes captures d'écran de ce fil) alors donc tout va bien...
Aussi appelé Nilvus !
Ubuntu 19.10 - darktable master - Macbook pro fin 2013 13"
Répondre
#7
Oui tout va bien, merci.
Répondre
#8
> lors de l'annonce à Noël, les paquets pour mac et windows étaient déjà prêts.

Parce qu'il n'existe pas de système de gestion de paquet pour ces systèmes et surtout que presque personne ne sait compiler dt sur ces OS. Du coup tu as les paquets des versions bien avant... Mais il n'y a pas de versions crées chaque nuit comme c'est le cas avec la platte-forme OBS. Comme le disais @jpg54, c'est bien plus compliqué que cela semble.

Ah et tu sembles penser que Windows et MacOS sont privilégiés ? Par qui ? Je suis le mainteneur de dt et j'ai une répulsion assez prononcée pour tout ce qui touche à Windows et MacOS Smile Tu es rassuré ?
--
Pascal - GNU/Debian (sid) - version darktable git/master
http://photos.obry.net
Répondre
#9
Oui je suis rassuré
car je ne suis pas inquiet,
seulement factuel :-)
Quelle est la raison pour laquelle les paquets deb 3.1.0 sont dispos dans la branche master sur https://software.opensuse.org ?
(c'est pour ma culture personnelle)
Répondre
#10
Faut se demander pourquoi le Open Build Service a bloqué la publication des paquets ?
La "request" vient de changer de status.
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)